<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="viewModel"
            type="com.hongyegroup.cpt_ewallet.mvvm.AppointmentEnquiryViewModel" />

        <variable
            name="click"
            type="com.hongyegroup.cpt_ewallet.ui.AppointmentEnquiryActivity.ClickProxy" />

        <import type="android.text.TextUtils" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_title="我的银行转账状态咨询" />

        <!--Description-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/d_20dp"
            android:layout_marginBottom="@dimen/d_15dp"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/d_20dp"
            android:paddingRight="@dimen/d_20dp">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/iv_enquiry_giro_write" />

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_10dp"
                android:text="如果需要查询您的转帐状态，请留言咨询"
                android:textColor="@color/black"
                android:textSize="@dimen/d_14sp" />

        </LinearLayout>

        <EditText
            android:layout_width="match_parent"
            android:layout_height="226dp"
            android:layout_marginLeft="@dimen/d_20dp"
            android:layout_marginRight="@dimen/d_20dp"
            android:background="@drawable/shape_gray_bg_border_line"
            android:gravity="top|left"
            android:maxLines="9999"
            android:paddingLeft="@dimen/d_10dp"
            android:paddingTop="@dimen/d_15dp"
            android:paddingRight="@dimen/d_10dp"
            android:paddingBottom="@dimen/d_15dp"
            android:text="@={viewModel.mEnquiryMsg}"
            android:textColor="@color/black"
            android:textSize="@dimen/d_15sp" />

        <com.guadou.lib_baselib.font_text_view.TextViewMedium
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_42dp"
            android:layout_marginLeft="@dimen/d_25dp"
            android:layout_marginTop="@dimen/d_35dp"
            android:layout_marginRight="@dimen/d_25dp"
            android:background="@drawable/selector_app_blue_button_round2_bg"
            android:gravity="center"
            android:text="提交"
            android:textColor="@color/white"
            android:textSize="@dimen/d_16sp"
            binding:clicks="@{click.submitEnquiry}" />

    </LinearLayout>

</layout>
